# -*- coding: utf-8 -*-
"""
Created on Mon Jun 13 16:32:50 2016

@author: Libby
"""

import numpy as np
import datetime as dt

def get_start_end_times(experiment_name):
    """
    Start and end times of experiment run segments, bounded by laser scans,
    meetings, sleep, etc.
    """
    
    if experiment_name == '151124_MC_DW_IW_01':
        
        scan_start_times = np.array([    dt.datetime(2015, 11, 24,  8, 59, 37),
                                         dt.datetime(2015, 11, 24,  9, 28,  3),
                                         dt.datetime(2015, 11, 24, 10,  8, 25),
                                         dt.datetime(2015, 11, 24, 10, 48, 16),
                                         dt.datetime(2015, 11, 24, 11, 24, 51),
                                         dt.datetime(2015, 11, 24, 12,  3, 24),
                                         dt.datetime(2015, 11, 24, 12, 40, 42),
                                         dt.datetime(2015, 11, 24, 13, 55, 34),
                                         dt.datetime(2015, 11, 24, 14, 38,  0),
                                         dt.datetime(2015, 11, 24, 15, 19,  5),
                                         dt.datetime(2015, 11, 24, 15, 57, 17),
                                         dt.datetime(2015, 11, 24, 16, 31,  1),
                                         dt.datetime(2015, 11, 24, 17,  8, 44),
                                         dt.datetime(2015, 11, 24, 17, 44, 55),
                                         dt.datetime(2015, 11, 24, 18, 22,  1),
                                         dt.datetime(2015, 11, 25, 10, 11, 19),
                                         dt.datetime(2015, 11, 25, 10, 47, 41),
                                         dt.datetime(2015, 11, 25, 11, 29,  6),
                                         dt.datetime(2015, 11, 25, 12,  5, 24),
                                         dt.datetime(2015, 11, 25, 13, 27, 51),
                                         dt.datetime(2015, 11, 25, 14,  4, 23),
                                         dt.datetime(2015, 11, 25, 14, 41, 58),
                                         dt.datetime(2015, 11, 25, 15, 18, 42)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11, 24,  9,  6, 23),
                                         dt.datetime(2015, 11, 24,  9, 38, 25),
                                         dt.datetime(2015, 11, 24, 10, 18, 16),
                                         dt.datetime(2015, 11, 24, 11,  0, 11),
                                         dt.datetime(2015, 11, 24, 11, 33, 23),
                                         dt.datetime(2015, 11, 24, 12, 10, 43),
                                         dt.datetime(2015, 11, 24, 13, 25, 32),
                                         dt.datetime(2015, 11, 24, 14,  1, 51),
                                         dt.datetime(2015, 11, 24, 14, 47, 47),
                                         dt.datetime(2015, 11, 24, 15, 25, 17),
                                         dt.datetime(2015, 11, 24, 16,  3, 21),
                                         dt.datetime(2015, 11, 24, 16, 38, 43),
                                         dt.datetime(2015, 11, 24, 17, 14, 55),
                                         dt.datetime(2015, 11, 24, 17, 51, 59),
                                         dt.datetime(2015, 11, 25,  9, 41, 40),
                                         dt.datetime(2015, 11, 25, 10, 17, 40),
                                         dt.datetime(2015, 11, 25, 10, 58, 11),
                                         dt.datetime(2015, 11, 25, 11, 35, 23),
                                         dt.datetime(2015, 11, 25, 12, 57, 50),
                                         dt.datetime(2015, 11, 25, 13, 34, 23),
                                         dt.datetime(2015, 11, 25, 14, 11, 57),
                                         dt.datetime(2015, 11, 25, 14, 48, 41),
                                         dt.datetime(2015, 11, 25, 15, 25, 58)])
    
    elif experiment_name == '151127_MC_IW_IW_01':
        
        scan_start_times = np.array([    dt.datetime(2015, 11, 27, 12, 10, 23),
                                         dt.datetime(2015, 11, 27, 12, 47, 50),
                                         dt.datetime(2015, 11, 27, 13, 25, 38),
                                         dt.datetime(2015, 11, 27, 14, 36, 36),
                                         dt.datetime(2015, 11, 27, 15, 14, 27),
                                         dt.datetime(2015, 11, 27, 15, 50, 41),
                                         dt.datetime(2015, 11, 27, 16, 26, 50),
                                         dt.datetime(2015, 11, 27, 17, 51, 40),
                                         dt.datetime(2015, 11, 28, 15, 17, 06),
                                         dt.datetime(2015, 11, 28, 15, 54, 10),
                                         dt.datetime(2015, 11, 28, 16, 31, 34),
                                         dt.datetime(2015, 11, 28, 17,  9, 17),
                                         dt.datetime(2015, 11, 28, 17, 45, 55),
                                         dt.datetime(2015, 11, 29,  9, 51, 44),
                                         dt.datetime(2015, 11, 29, 10, 28, 49),
                                         dt.datetime(2015, 11, 29, 11,  6, 15),
                                         dt.datetime(2015, 11, 29, 11, 42, 52),
                                         dt.datetime(2015, 11, 29, 12, 19, 23)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11, 27, 12, 17, 30),
                                         dt.datetime(2015, 11, 27, 12, 55, 38),
                                         dt.datetime(2015, 11, 27, 14,  6, 36),
                                         dt.datetime(2015, 11, 27, 14, 44, 27),
                                         dt.datetime(2015, 11, 27, 15, 20, 41),
                                         dt.datetime(2015, 11, 27, 15, 56, 50),
                                         dt.datetime(2015, 11, 27, 16, 34, 35),
                                         dt.datetime(2015, 11, 28, 14, 47, 24),
                                         dt.datetime(2015, 11, 28, 15, 24,  9),
                                         dt.datetime(2015, 11, 28, 16, 01, 33),
                                         dt.datetime(2015, 11, 28, 16, 39, 17),
                                         dt.datetime(2015, 11, 28, 17, 15, 56),
                                         dt.datetime(2015, 11, 29,  9, 20, 26),
                                         dt.datetime(2015, 11, 29,  9, 59, 29),
                                         dt.datetime(2015, 11, 29, 10, 36, 15),
                                         dt.datetime(2015, 11, 29, 11, 12, 52),
                                         dt.datetime(2015, 11, 29, 11, 49, 44),
                                         dt.datetime(2015, 11, 29, 12, 25, 53)])
    
    elif experiment_name == '151130_IW_and_SMC_DSMC_01':
        
        scan_start_times = np.array([   dt.datetime(2015, 11, 30, 14, 35, 25),
                                        dt.datetime(2015, 11, 30, 17, 29, 39),
                                        dt.datetime(2015, 11, 30, 17, 56, 13),
                                        dt.datetime(2015, 12,  1,  9, 43, 54),
                                        dt.datetime(2015, 12,  1, 10, 21, 51),
                                        dt.datetime(2015, 12,  1, 10, 59, 27),
                                        dt.datetime(2015, 12,  1, 11, 39, 21),
                                        dt.datetime(2015, 12,  1, 12, 17, 34),
                                        dt.datetime(2015, 12,  1, 13, 45, 51),
                                        dt.datetime(2015, 12,  1, 14, 31, 22),
                                        dt.datetime(2015, 12,  1, 15,  9, 51),
                                        dt.datetime(2015, 12,  1, 15, 47, 35),
                                        dt.datetime(2015, 12,  1, 16, 25, 21),
                                        dt.datetime(2015, 12,  1, 17,  6, 25),
                                        dt.datetime(2015, 12,  1, 17, 44, 10),
                                        dt.datetime(2015, 12,  2, 10,  0, 53),
                                        dt.datetime(2015, 12,  2, 10, 52, 12),
                                        dt.datetime(2015, 12,  2, 11, 33,  1),
                                        dt.datetime(2015, 12,  2, 12,  9, 33),
                                        dt.datetime(2015, 12,  2, 12, 48,  2),
                                        dt.datetime(2015, 12,  2, 13, 26,  6)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11, 30, 17, 20, 39),
                                         dt.datetime(2015, 11, 30, 17, 34, 53),
                                         dt.datetime(2015, 12,  1,  9, 13, 35),
                                         dt.datetime(2015, 12,  1,  9, 52, 11),
                                         dt.datetime(2015, 12,  1, 10, 29, 27),
                                         dt.datetime(2015, 12,  1, 11,  9, 20),
                                         dt.datetime(2015, 12,  1, 11, 47, 33),
                                         dt.datetime(2015, 12,  1, 13, 15, 51),
                                         dt.datetime(2015, 12,  1, 14,  0,  9),
                                         dt.datetime(2015, 12,  1, 14, 39, 51),
                                         dt.datetime(2015, 12,  1, 15, 17, 34),
                                         dt.datetime(2015, 12,  1, 15, 55, 20),
                                         dt.datetime(2015, 12,  1, 16, 35, 22),
                                         dt.datetime(2015, 12,  1, 17, 14, 18),
                                         dt.datetime(2015, 12,  2,  9, 17, 48),
                                         dt.datetime(2015, 12,  2, 10, 22, 12),
                                         dt.datetime(2015, 12,  2, 11,  2, 41),
                                         dt.datetime(2015, 12,  2, 11, 40, 12),
                                         dt.datetime(2015, 12,  2, 12, 18,  1),
                                         dt.datetime(2015, 12,  2, 12, 56,  5),
                                         dt.datetime(2015, 12,  2, 14,  7, 33)])
        
    elif experiment_name == '151203_MC_BLF_01':
        
        scan_start_times = np.array([    dt.datetime(2015, 12,  3, 14, 19, 26),
                                         dt.datetime(2015, 12,  3, 14, 41, 54),
                                         dt.datetime(2015, 12,  3, 15,  4, 28),
                                         dt.datetime(2015, 12,  3, 15, 27, 11),
                                         dt.datetime(2015, 12,  3, 15, 49, 12),
                                         dt.datetime(2015, 12,  4,  9, 55, 58),
                                         dt.datetime(2015, 12,  4, 10, 19, 11),
                                         dt.datetime(2015, 12,  4, 10, 38, 25),
                                         dt.datetime(2015, 12,  4, 10, 59, 57),
                                         dt.datetime(2015, 12,  4, 11, 20,  9),
                                         dt.datetime(2015, 12,  4, 11, 43, 50),
                                         dt.datetime(2015, 12,  4, 12,  4, 25),
                                         dt.datetime(2015, 12,  4, 12, 26, 19),
                                         dt.datetime(2015, 12,  4, 12, 47, 15),
                                         dt.datetime(2015, 12,  4, 14, 46, 46),
                                         dt.datetime(2015, 12,  4, 15,  7, 49),
                                         dt.datetime(2015, 12,  4, 15, 50, 45),
                                         dt.datetime(2015, 12,  4, 16, 11, 55),
                                         dt.datetime(2015, 12,  4, 16, 54, 29),
                                         dt.datetime(2015, 12,  4, 17, 30, 57),
                                         dt.datetime(2015, 12,  4, 18,  7, 20),
                                         dt.datetime(2015, 12,  5,  9, 56, 37),
                                         dt.datetime(2015, 12,  5, 10, 32, 51),
                                         dt.datetime(2015, 12,  5, 11,  9, 44)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 12,  3, 14, 26, 32),
                                         dt.datetime(2015, 12,  3, 14, 48, 48),
                                         dt.datetime(2015, 12,  3, 15, 12, 11),
                                         dt.datetime(2015, 12,  3, 15, 33, 52),
                                         dt.datetime(2015, 12,  4,  9, 40, 58),
                                         dt.datetime(2015, 12,  4, 10,  1, 10),
                                         dt.datetime(2015, 12,  4, 10, 26, 21),
                                         dt.datetime(2015, 12,  4, 10, 44, 37),
                                         dt.datetime(2015, 12,  4, 11,  5, 29),
                                         dt.datetime(2015, 12,  4, 11, 28, 49),
                                         dt.datetime(2015, 12,  4, 11, 49, 25),
                                         dt.datetime(2015, 12,  4, 12, 11, 19),
                                         dt.datetime(2015, 12,  4, 12, 32, 15),
                                         dt.datetime(2015, 12,  4, 14, 31, 45),
                                         dt.datetime(2015, 12,  4, 14, 52, 49),
                                         dt.datetime(2015, 12,  4, 15, 22, 18),
                                         dt.datetime(2015, 12,  4, 16,  1, 35),
                                         dt.datetime(2015, 12,  4, 16, 23, 50),
                                         dt.datetime(2015, 12,  4, 17,  1, 37),
                                         dt.datetime(2015, 12,  4, 17, 37, 19),
                                         dt.datetime(2015, 12,  5,  9, 26, 37),
                                         dt.datetime(2015, 12,  5, 10,  2, 51),
                                         dt.datetime(2015, 12,  5, 10, 39, 25),
                                         dt.datetime(2015, 12,  5, 11, 16, 50)])    
    
    elif experiment_name == '151207_MC_IS_DS_01':
        
        scan_start_times = np.array([    dt.datetime(2015, 12,  7,  9, 43, 35),
                                         dt.datetime(2015, 12,  7, 10, 21, 58),
                                         dt.datetime(2015, 12,  7, 11,  8, 35),
                                         dt.datetime(2015, 12,  7, 11, 46, 33),
                                         dt.datetime(2015, 12,  7, 12, 23,  8),
                                         dt.datetime(2015, 12,  7, 12, 59, 25),
                                         dt.datetime(2015, 12,  7, 14, 32, 38),
                                         dt.datetime(2015, 12,  7, 15,  9,  5),
                                         dt.datetime(2015, 12,  8, 10, 47, 19),
                                         dt.datetime(2015, 12,  8, 12,  0,  1),
                                         dt.datetime(2015, 12,  8, 13, 22, 23),
                                         dt.datetime(2015, 12,  8, 14,  1, 42),
                                         dt.datetime(2015, 12,  8, 14, 38,  6),
                                         dt.datetime(2015, 12,  8, 15, 14,  2),
                                         dt.datetime(2015, 12,  8, 15, 57, 19),
                                         dt.datetime(2015, 12,  8, 16, 33, 56),
                                         dt.datetime(2015, 12,  8, 17, 10, 56),
                                         dt.datetime(2015, 12,  9,  9, 36, 40),
                                         dt.datetime(2015, 12,  9, 10, 12, 49),
                                         dt.datetime(2015, 12,  9, 10, 50,  2),
                                         dt.datetime(2015, 12,  9, 11, 26, 26)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 12,  7,  9, 51, 57),
                                         dt.datetime(2015, 12,  7, 10, 38, 34),
                                         dt.datetime(2015, 12,  7, 11, 16, 34),
                                         dt.datetime(2015, 12,  7, 11, 53,  8),
                                         dt.datetime(2015, 12,  7, 12, 29, 25),
                                         dt.datetime(2015, 12,  7, 14,  2, 37),
                                         dt.datetime(2015, 12,  7, 14, 39,  4),
                                         dt.datetime(2015, 12,  8,  9, 39, 35),
                                         dt.datetime(2015, 12,  8, 10, 53, 28),
                                         dt.datetime(2015, 12,  8, 12, 52, 22),
                                         dt.datetime(2015, 12,  8, 13, 31, 42),
                                         dt.datetime(2015, 12,  8, 14,  8,  5),
                                         dt.datetime(2015, 12,  8, 14, 44,  2),
                                         dt.datetime(2015, 12,  8, 15, 26,  5),
                                         dt.datetime(2015, 12,  8, 16,  4, 36),
                                         dt.datetime(2015, 12,  8, 16, 40, 55),
                                         dt.datetime(2015, 12,  9,  9,  6, 39),
                                         dt.datetime(2015, 12,  9,  9, 42, 49),
                                         dt.datetime(2015, 12,  9, 10, 20,  2),
                                         dt.datetime(2015, 12,  9, 10, 56, 27),
                                         dt.datetime(2015, 12,  9, 11, 32, 37)])  
    
    elif experiment_name == '151210_T_and_MC_IW_DW_01':
        
        scan_start_times = np.array([    dt.datetime(2015, 12, 10, 11, 39, 45),
                                         dt.datetime(2015, 12, 10, 13, 58, 41),
                                         dt.datetime(2015, 12, 10, 14, 42, 30),
                                         dt.datetime(2015, 12, 10, 15, 23,  9),
                                         dt.datetime(2015, 12, 10, 16,  2, 49),
                                         dt.datetime(2015, 12, 11,  9, 22, 31),
                                         dt.datetime(2015, 12, 11, 10,  2, 21),
                                         dt.datetime(2015, 12, 11, 10, 41, 40),
                                         dt.datetime(2015, 12, 11, 11, 19,  6),
                                         dt.datetime(2015, 12, 11, 11, 55, 14),
                                         dt.datetime(2015, 12, 11, 12, 47, 31),
                                         dt.datetime(2015, 12, 11, 14, 17,  6),
                                         dt.datetime(2015, 12, 11, 15, 15, 56),
                                         dt.datetime(2015, 12, 11, 16, 12, 15),
                                         dt.datetime(2015, 12, 11, 16, 58, 11),
                                         dt.datetime(2015, 12, 11, 17, 42, 42),
                                         dt.datetime(2015, 12, 11, 18, 30, 11),
                                         dt.datetime(2015, 12, 12, 12, 37, 22),
                                         dt.datetime(2015, 12, 12, 12, 57, 18),
                                         dt.datetime(2015, 12, 12, 13, 19, 40),
                                         dt.datetime(2015, 12, 12, 13, 39, 17),
                                         dt.datetime(2015, 12, 12, 14,  3, 31),
                                         dt.datetime(2015, 12, 12, 14, 44, 22),
                                         dt.datetime(2015, 12, 12, 15, 22, 44),
                                         dt.datetime(2015, 12, 14, 10, 11, 36),
                                         dt.datetime(2015, 12, 14, 10, 51, 54),
                                         dt.datetime(2015, 12, 14, 11, 32, 10)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 12, 10, 13, 48, 39),
                                         dt.datetime(2015, 12, 10, 14, 12, 30),
                                         dt.datetime(2015, 12, 10, 14, 52, 49),
                                         dt.datetime(2015, 12, 10, 15, 33, 10),
                                         dt.datetime(2015, 12, 11,  8, 52, 31),
                                         dt.datetime(2015, 12, 11,  9, 32, 21),
                                         dt.datetime(2015, 12, 11, 10, 11, 40),
                                         dt.datetime(2015, 12, 11, 11, 18,  8),
                                         dt.datetime(2015, 12, 11, 11, 23, 31),
                                         dt.datetime(2015, 12, 11, 12, 17, 31),
                                         dt.datetime(2015, 12, 11, 13, 47,  6),
                                         dt.datetime(2015, 12, 11, 14, 44, 34),
                                         dt.datetime(2015, 12, 11, 15, 42, 54),
                                         dt.datetime(2015, 12, 11, 16, 28, 11),
                                         dt.datetime(2015, 12, 11, 17, 12, 41),
                                         dt.datetime(2015, 12, 11, 18,  0, 11),
                                         dt.datetime(2015, 12, 12, 12, 36, 32),
                                         dt.datetime(2015, 12, 12, 12, 43, 18),
                                         dt.datetime(2015, 12, 12, 13,  4,  0),
                                         dt.datetime(2015, 12, 12, 13, 30, 37),
                                         dt.datetime(2015, 12, 12, 13, 42, 31),
                                         dt.datetime(2015, 12, 12, 14, 13, 42),
                                         dt.datetime(2015, 12, 12, 14, 53, 43),
                                         dt.datetime(2015, 12, 14,  9, 41, 16),
                                         dt.datetime(2015, 12, 14, 10, 22, 12),
                                         dt.datetime(2015, 12, 14, 11,  2, 30),
                                         dt.datetime(2015, 12, 14, 11, 42, 27)])    
        
    
    elif experiment_name == '151215_MC_Ref_02':
        
        scan_start_times = np.array([    dt.datetime(2015, 12, 15, 13, 25, 15),
                                         dt.datetime(2015, 12, 15, 14, 25, 32),
                                         dt.datetime(2015, 12, 15, 15,  5, 48),
                                         dt.datetime(2015, 12, 15, 16, 14, 11),
                                         dt.datetime(2015, 12, 15, 16, 53,  1),
                                         dt.datetime(2015, 12, 16,  9, 24, 36),
                                         dt.datetime(2015, 12, 16, 10,  1,  8),
                                         dt.datetime(2015, 12, 16, 10, 41, 37),
                                         dt.datetime(2015, 12, 16, 11, 18, 58),
                                         dt.datetime(2015, 12, 16, 12,  1,  8),
                                         dt.datetime(2015, 12, 16, 12, 39, 30),
                                         dt.datetime(2015, 12, 16, 13, 56, 14),
                                         dt.datetime(2015, 12, 16, 14, 33, 29),
                                         dt.datetime(2015, 12, 16, 15, 13, 53),
                                         dt.datetime(2015, 12, 16, 15, 48, 40),
                                         dt.datetime(2015, 12, 17, 10, 11,  2),
                                         dt.datetime(2015, 12, 17, 10, 49, 55),
                                         dt.datetime(2015, 12, 17, 11, 30, 22),
                                         dt.datetime(2015, 12, 17, 12,  9, 26),
                                         dt.datetime(2015, 12, 17, 12, 48, 59),
                                         dt.datetime(2015, 12, 17, 14, 25, 22),
                                         dt.datetime(2015, 12, 17, 15, 42, 48)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 12, 15, 13, 55, 31),
                                         dt.datetime(2015, 12, 15, 14, 35, 49),
                                         dt.datetime(2015, 12, 15, 15, 44, 11),
                                         dt.datetime(2015, 12, 15, 16, 23, 21),
                                         dt.datetime(2015, 12, 16,  8, 54, 15),
                                         dt.datetime(2015, 12, 16,  9, 31, 26),
                                         dt.datetime(2015, 12, 16, 10, 11, 36),
                                         dt.datetime(2015, 12, 16, 10, 49, 17),
                                         dt.datetime(2015, 12, 16, 11, 31,  7),
                                         dt.datetime(2015, 12, 16, 12,  9, 30),
                                         dt.datetime(2015, 12, 16, 13, 26, 14),
                                         dt.datetime(2015, 12, 16, 14,  3, 48),
                                         dt.datetime(2015, 12, 16, 14, 43, 13),
                                         dt.datetime(2015, 12, 16, 15, 19, 40),
                                         dt.datetime(2015, 12, 17,  9, 41,  2),
                                         dt.datetime(2015, 12, 17, 10, 19, 55),
                                         dt.datetime(2015, 12, 17, 11,  0, 42),
                                         dt.datetime(2015, 12, 17, 11, 39, 26),
                                         dt.datetime(2015, 12, 17, 12, 18, 59),
                                         dt.datetime(2015, 12, 17, 13, 55, 23),
                                         dt.datetime(2015, 12, 17, 15, 12, 48),
                                         dt.datetime(2015, 12, 17, 15, 50, 57)])    
               
       
    elif experiment_name == '151105_MC_DS_01':
        
        scan_start_times = np.array([    dt.datetime(2015, 11,  5, 16, 12, 17),
                                         dt.datetime(2015, 11,  5, 16, 47, 52),
                                         dt.datetime(2015, 11,  5, 17, 24, 49),
                                         dt.datetime(2015, 11,  5, 18,  0, 58),
                                         dt.datetime(2015, 11,  6,  8, 55, 17),
                                         dt.datetime(2015, 11,  6,  9, 31,  6),
                                         dt.datetime(2015, 11,  6, 10,  7, 12),
                                         dt.datetime(2015, 11,  6, 10, 43, 33),
                                         dt.datetime(2015, 11,  6, 11, 33, 21),
                                         dt.datetime(2015, 11,  6, 12, 10,  9),
                                         dt.datetime(2015, 11,  6, 12, 47,  8),
                                         dt.datetime(2015, 11,  6, 14,  7, 11),
                                         dt.datetime(2015, 11,  6, 14, 44,  8),
                                         dt.datetime(2015, 11,  6, 15, 20, 37),
                                         dt.datetime(2015, 11,  6, 15, 57, 18),
                                         dt.datetime(2015, 11,  6, 16, 32, 21),
                                         dt.datetime(2015, 11, 11, 17,  8,  3),
                                         dt.datetime(2015, 11, 12, 17, 44, 12),
                                         dt.datetime(2015, 11, 12, 18, 21, 43),
                                         dt.datetime(2015, 11, 12, 18, 57, 47)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11,  5, 16, 18, 12),
                                         dt.datetime(2015, 11,  5, 16, 54, 49),
                                         dt.datetime(2015, 11,  5, 17, 30, 58),
                                         dt.datetime(2015, 11,  6,  8, 24, 56),
                                         dt.datetime(2015, 11,  6,  9,  1, 24),
                                         dt.datetime(2015, 11,  6,  9, 37, 12),
                                         dt.datetime(2015, 11,  6, 10, 13, 29),
                                         dt.datetime(2015, 11,  6, 11,  2, 59),
                                         dt.datetime(2015, 11,  6, 11, 40,  6),
                                         dt.datetime(2015, 11,  6, 12, 17,  7),
                                         dt.datetime(2015, 11,  6, 13, 37,  6),
                                         dt.datetime(2015, 11,  6, 14, 14,  6),
                                         dt.datetime(2015, 11,  6, 14, 50, 15),
                                         dt.datetime(2015, 11,  6, 14, 50, 15),
                                         dt.datetime(2015, 11,  6, 15, 26, 37),
                                         dt.datetime(2015, 11,  6, 16,  2, 58),
                                         dt.datetime(2015, 11,  6, 16, 38,  2),
                                         dt.datetime(2015, 11,  6, 17, 14, 11),
                                         dt.datetime(2015, 11,  6, 17, 51, 22),
                                         dt.datetime(2015, 11,  6, 18, 28,  6),
                                         dt.datetime(2015, 11,  6, 19, 15, 41)])    
    
    elif experiment_name == '151109_MC_IW_01':
        
        scan_start_times = np.array([    dt.datetime(2015, 11,  9,  9, 53, 14),
                                         dt.datetime(2015, 11,  9, 10, 17, 44),
                                         dt.datetime(2015, 11,  9, 10, 35, 29),
                                         dt.datetime(2015, 11,  9, 11, 13, 23),
                                         dt.datetime(2015, 11,  9, 11, 24, 19),
                                         dt.datetime(2015, 11,  9, 12, 10, 44),
                                         dt.datetime(2015, 11,  9, 12, 48, 28),
                                         dt.datetime(2015, 11,  9, 14,  4, 35),
                                         dt.datetime(2015, 11,  9, 14, 25, 24),
                                         dt.datetime(2015, 11,  9, 16, 35, 11),
                                         dt.datetime(2015, 11,  9, 17, 20, 27),
                                         dt.datetime(2015, 11,  9, 18, 17, 51),
                                         dt.datetime(2015, 11, 10,  8, 55,  0),
                                         dt.datetime(2015, 11, 10,  9, 22, 21),
                                         dt.datetime(2015, 11, 10, 10,  3, 42),
                                         dt.datetime(2015, 11, 10, 10, 44,  8),
                                         dt.datetime(2015, 11, 10, 11, 23, 42),
                                         dt.datetime(2015, 11, 10, 12,  0, 24),
                                         dt.datetime(2015, 11, 10, 12, 38, 17),
                                         dt.datetime(2015, 11, 10, 13, 55, 18),
                                         dt.datetime(2015, 11, 10, 14, 31, 26),
                                         dt.datetime(2015, 11, 10, 15,  7, 56),
                                         dt.datetime(2015, 11, 10, 15, 38, 26)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11,  9, 10, 10,  2),
                                         dt.datetime(2015, 11,  9, 10, 19,  8),
                                         dt.datetime(2015, 11,  9, 10, 48, 55),
                                         dt.datetime(2015, 11,  9, 11, 21, 39),
                                         dt.datetime(2015, 11,  9, 11, 43, 53),
                                         dt.datetime(2015, 11,  9, 12, 18, 33),
                                         dt.datetime(2015, 11,  9, 13, 34, 30),
                                         dt.datetime(2015, 11,  9, 14, 10, 24),
                                         dt.datetime(2015, 11,  9, 16, 18, 57),
                                         dt.datetime(2015, 11,  9, 16, 51,  8),
                                         dt.datetime(2015, 11,  9, 17, 47, 41),
                                         dt.datetime(2015, 11, 10,  8, 44, 39),
                                         dt.datetime(2015, 11, 10,  9,  2, 37),
                                         dt.datetime(2015, 11, 10,  9, 33, 57),
                                         dt.datetime(2015, 11, 10, 10, 14,  1),
                                         dt.datetime(2015, 11, 10, 10, 53,  7),
                                         dt.datetime(2015, 11, 10, 11, 30, 36),
                                         dt.datetime(2015, 11, 10, 12,  8, 23),
                                         dt.datetime(2015, 11, 10, 13, 25, 21),
                                         dt.datetime(2015, 11, 10, 14,  1, 32),
                                         dt.datetime(2015, 11, 10, 14, 37, 57),
                                         dt.datetime(2015, 11, 10, 15, 13, 55),
                                         dt.datetime(2015, 11, 10, 15, 49, 33)])    
                
    elif experiment_name == '151111_T_Ref_01':                
                
        scan_start_times = np.array([    dt.datetime(2015, 11, 11, 10, 36, 27),
                                         dt.datetime(2015, 11, 11, 11, 15, 43),
                                         dt.datetime(2015, 11, 11, 11, 54,  4),
                                         dt.datetime(2015, 11, 11, 12, 34, 29),
                                         dt.datetime(2015, 11, 11, 13, 51, 26),
                                         dt.datetime(2015, 11, 11, 14, 31, 20),
                                         dt.datetime(2015, 11, 11, 15,  8, 53),
                                         dt.datetime(2015, 11, 11, 15, 47, 40),
                                         dt.datetime(2015, 11, 11, 16, 25, 30),
                                         dt.datetime(2015, 11, 11, 17,  6, 14),
                                         dt.datetime(2015, 11, 11, 17, 47,  9),
                                         dt.datetime(2015, 11, 12,  9, 33, 15),
                                         dt.datetime(2015, 11, 12, 10, 13, 10),
                                         dt.datetime(2015, 11, 12, 10, 53, 40),
                                         dt.datetime(2015, 11, 12, 11, 41, 15),
                                         dt.datetime(2015, 11, 12, 12,  9, 51),
                                         dt.datetime(2015, 11, 12, 12, 27, 17),
                                         dt.datetime(2015, 11, 12, 13, 25, 51),
                                         dt.datetime(2015, 11, 12, 14,  7, 26),
                                         dt.datetime(2015, 11, 12, 14, 47,  3),
                                         dt.datetime(2015, 11, 12, 15, 26, 47),
                                         dt.datetime(2015, 11, 12, 16,  5, 20),
                                         dt.datetime(2015, 11, 12, 16, 14, 51)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11, 11, 10, 45, 43),
                                         dt.datetime(2015, 11, 11, 11, 24,  4),
                                         dt.datetime(2015, 11, 11, 12,  4, 28),
                                         dt.datetime(2015, 11, 11, 13, 20, 46),
                                         dt.datetime(2015, 11, 11, 14,  1, 40),
                                         dt.datetime(2015, 11, 11, 14, 38, 53),
                                         dt.datetime(2015, 11, 11, 15, 17, 20),
                                         dt.datetime(2015, 11, 11, 15, 55, 29),
                                         dt.datetime(2015, 11, 11, 16, 36, 27),
                                         dt.datetime(2015, 11, 11, 17, 16, 49),
                                         dt.datetime(2015, 11, 12,  9,  3, 16),
                                         dt.datetime(2015, 11, 12,  9, 43, 11),
                                         dt.datetime(2015, 11, 12, 10, 23, 50),
                                         dt.datetime(2015, 11, 12, 11,  1, 28),
                                         dt.datetime(2015, 11, 12, 11, 52, 24),
                                         dt.datetime(2015, 11, 12, 12, 14, 57),
                                         dt.datetime(2015, 11, 12, 13, 24, 51),
                                         dt.datetime(2015, 11, 12, 13, 37, 36),
                                         dt.datetime(2015, 11, 12, 14, 17, 10),
                                         dt.datetime(2015, 11, 12, 14, 56, 47),
                                         dt.datetime(2015, 11, 12, 15, 35, 19),
                                         dt.datetime(2015, 11, 12, 16, 13, 38),
                                         dt.datetime(2015, 11, 12, 16, 21, 57)])    
      
    elif experiment_name == '151113_T_IS_DS_01':                
                
        scan_start_times = np.array([    dt.datetime(2015, 11, 13,  9, 50, 55),
                                         dt.datetime(2015, 11, 13, 10, 20, 21),
                                         dt.datetime(2015, 11, 13, 10, 55, 31),
                                         dt.datetime(2015, 11, 13, 11, 12, 22),
                                         dt.datetime(2015, 11, 13, 11, 17, 44),
                                         dt.datetime(2015, 11, 13, 11, 36, 37),
                                         dt.datetime(2015, 11, 13, 12, 16, 22),
                                         dt.datetime(2015, 11, 13, 13, 37, 57),
                                         dt.datetime(2015, 11, 13, 14, 42, 56),
                                         dt.datetime(2015, 11, 13, 15, 24, 56),
                                         dt.datetime(2015, 11, 13, 16, 47, 20),
                                         dt.datetime(2015, 11, 14, 15, 17, 20),
                                         dt.datetime(2015, 11, 14, 15, 54, 28),
                                         dt.datetime(2015, 11, 14, 16,  6, 25),
                                         dt.datetime(2015, 11, 14, 16, 46, 34),
                                         dt.datetime(2015, 11, 14, 17, 32, 27),
                                         dt.datetime(2015, 11, 14, 18, 10, 43),
                                         dt.datetime(2015, 11, 14, 18, 50,  6),
                                         dt.datetime(2015, 11, 14, 19, 30, 15),
                                         dt.datetime(2015, 11, 16,  9,  1, 14),
                                         dt.datetime(2015, 11, 16,  9, 39,  6),
                                         dt.datetime(2015, 11, 16, 10, 17, 16),
                                         dt.datetime(2015, 11, 16, 10, 55, 20),
                                         dt.datetime(2015, 11, 16, 11, 32,  8),
                                         dt.datetime(2015, 11, 16, 12, 10, 46),
                                         dt.datetime(2015, 11, 16, 12, 51, 48),
                                         dt.datetime(2015, 11, 16, 14, 26, 47),
                                         dt.datetime(2015, 11, 16, 15,  8, 55)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11, 13,  9, 53, 21),
                                         dt.datetime(2015, 11, 13, 10, 31, 51),
                                         dt.datetime(2015, 11, 13, 11, 12, 22),
                                         dt.datetime(2015, 11, 13, 11, 16, 44),
                                         dt.datetime(2015, 11, 13, 11, 29, 16),
                                         dt.datetime(2015, 11, 13, 11, 46, 22),
                                         dt.datetime(2015, 11, 13, 13,  7, 57),
                                         dt.datetime(2015, 11, 13, 14, 12, 15),
                                         dt.datetime(2015, 11, 13, 14, 55, 36),
                                         dt.datetime(2015, 11, 13, 16, 17, 40),
                                         dt.datetime(2015, 11, 14, 14, 47, 19),
                                         dt.datetime(2015, 11, 14, 15, 31,  8),
                                         dt.datetime(2015, 11, 14, 16,  0,  5),
                                         dt.datetime(2015, 11, 14, 16, 16, 34),
                                         dt.datetime(2015, 11, 14, 17,  2, 10),
                                         dt.datetime(2015, 11, 14, 17, 40, 43),
                                         dt.datetime(2015, 11, 14, 18, 20,  6),
                                         dt.datetime(2015, 11, 14, 19,  0, 16),
                                         dt.datetime(2015, 11, 16,  8, 31, 14),
                                         dt.datetime(2015, 11, 16,  9,  9,  3),
                                         dt.datetime(2015, 11, 16,  9, 47, 23),
                                         dt.datetime(2015, 11, 16, 10, 25, 19),
                                         dt.datetime(2015, 11, 16, 11,  2, 17),
                                         dt.datetime(2015, 11, 16, 11, 40, 53),
                                         dt.datetime(2015, 11, 16, 12, 22,  2),
                                         dt.datetime(2015, 11, 16, 13, 56, 51),
                                         dt.datetime(2015, 11, 16, 14, 38, 51),
                                         dt.datetime(2015, 11, 16, 15, 21, 19)])                             
    
    elif experiment_name == '151117_T_DW_IW_01':                
                
        scan_start_times = np.array([    dt.datetime(2015, 11, 17, 11,  2, 51),
                                         dt.datetime(2015, 11, 17, 11,  5, 18),
                                         dt.datetime(2015, 11, 17, 11, 38, 41),
                                         dt.datetime(2015, 11, 17, 12, 16, 52),
                                         dt.datetime(2015, 11, 17, 12, 56, 13),
                                         dt.datetime(2015, 11, 17, 14, 16, 20),
                                         dt.datetime(2015, 11, 17, 14, 55, 29),
                                         dt.datetime(2015, 11, 17, 15, 35, 51),
                                         dt.datetime(2015, 11, 17, 16, 13, 56),
                                         dt.datetime(2015, 11, 17, 16, 53, 14),
                                         dt.datetime(2015, 11, 17, 17, 33, 57),
                                         dt.datetime(2015, 11, 17, 18, 12, 51),
                                         dt.datetime(2015, 11, 18,  9, 29, 21),
                                         dt.datetime(2015, 11, 18, 10,  8, 17),
                                         dt.datetime(2015, 11, 18, 10, 34, 41),
                                         dt.datetime(2015, 11, 18, 11,  5, 50),
                                         dt.datetime(2015, 11, 18, 11, 45, 19),
                                         dt.datetime(2015, 11, 18, 12, 41, 38),
                                         dt.datetime(2015, 11, 18, 13, 55, 21),
                                         dt.datetime(2015, 11, 18, 14, 39, 32),
                                         dt.datetime(2015, 11, 18, 15, 20, 37),
                                         dt.datetime(2015, 11, 18, 15, 59, 10),
                                         dt.datetime(2015, 11, 18, 16, 39, 54),
                                         dt.datetime(2015, 11, 18, 17, 19,  0)])
        
        #array of "scan end times", which are the photo start times
        scan_end_times = np.array([      dt.datetime(2015, 11, 17, 11,  5, 18),
                                         dt.datetime(2015, 11, 17, 11,  8, 40),
                                         dt.datetime(2015, 11, 17, 11, 46, 52),
                                         dt.datetime(2015, 11, 17, 12, 26, 10),
                                         dt.datetime(2015, 11, 17, 13, 46, 20),
                                         dt.datetime(2015, 11, 17, 14, 25, 29),
                                         dt.datetime(2015, 11, 17, 15,  5, 51),
                                         dt.datetime(2015, 11, 17, 15, 43, 55),
                                         dt.datetime(2015, 11, 17, 16, 23, 14),
                                         dt.datetime(2015, 11, 17, 17,  3, 56),
                                         dt.datetime(2015, 11, 17, 17, 42, 50),
                                         dt.datetime(2015, 11, 18,  8, 58, 45),
                                         dt.datetime(2015, 11, 18,  9, 38, 18),
                                         dt.datetime(2015, 11, 18, 10, 20, 40),
                                         dt.datetime(2015, 11, 18, 10, 49, 35),
                                         dt.datetime(2015, 11, 18, 11, 14, 59),
                                         dt.datetime(2015, 11, 18, 12, 11, 58),
                                         dt.datetime(2015, 11, 18, 13, 25, 21),
                                         dt.datetime(2015, 11, 18, 14,  9, 32),
                                         dt.datetime(2015, 11, 18, 14, 49, 16),
                                         dt.datetime(2015, 11, 18, 15, 30, 10),
                                         dt.datetime(2015, 11, 18, 16, 10, 34),
                                         dt.datetime(2015, 11, 18, 16, 49,  0),
                                         dt.datetime(2015, 11, 18, 17, 26, 45)])    
    
    else:
        scan_start_times = None
        scan_end_times = None
        print "Can't find time stamps for this experiment!"
        
    return scan_start_times, scan_end_times